Roblox
Get Roblox group details and members
POST
/
tools
/
roblox
/
group-detail
Get Roblox group details and members
curl --request POST \
--url https://api.osint.ly/tools/roblox/group-detail \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"value": "some-player",
"type": "username",
"groupId": "1234567"
}
'import requests
url = "https://api.osint.ly/tools/roblox/group-detail"
payload = {
"value": "some-player",
"type": "username",
"groupId": "1234567"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({value: 'some-player', type: 'username', groupId: '1234567'})
};
fetch('https://api.osint.ly/tools/roblox/group-detail', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.osint.ly/tools/roblox/group-detail",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'value' => 'some-player',
'type' => 'username',
'groupId' => '1234567'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.osint.ly/tools/roblox/group-detail"
payload := strings.NewReader("{\n \"value\": \"some-player\",\n \"type\": \"username\",\n \"groupId\": \"1234567\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.osint.ly/tools/roblox/group-detail")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"value\": \"some-player\",\n \"type\": \"username\",\n \"groupId\": \"1234567\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.osint.ly/tools/roblox/group-detail")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"value\": \"some-player\",\n \"type\": \"username\",\n \"groupId\": \"1234567\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"group": {
"created": "2025-01-01T00:00:00.000Z",
"description": "Example text.",
"hasSocialModules": true,
"hasVerifiedBadge": false,
"id": 497925,
"memberCount": 9532,
"name": "Example Group",
"owner": {
"displayName": "ExamplePlayer",
"hasVerifiedBadge": false,
"userId": 7008014,
"username": "ExamplePlayer"
},
"publicEntryAllowed": true,
"shout": null,
"thumbnail": "https://tr.rbxcdn.com/example"
},
"members": [
{
"displayName": "ExamplePlayer",
"hasVerifiedBadge": false,
"headshot": "https://tr.rbxcdn.com/example",
"role": {
"id": 510810,
"name": "Member",
"rank": 1
},
"userId": 2203522957,
"username": "ExamplePlayer"
}
],
"nextPageCursor": "example-cursor",
"partialErrors": [],
"previousPageCursor": "example-cursor",
"roles": [
{
"id": 64534,
"isBase": false,
"memberCount": 0,
"name": "Member",
"rank": 0
}
]
},
"meta": {
"timestamp": "2026-11-13T10:00:00.000Z"
},
"operation": "group-detail",
"query": {
"groupId": "497925",
"normalizedType": "username",
"type": "username",
"value": "ExamplePlayer"
},
"tool": "roblox"
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request body",
"details": [
{
"path": "value",
"message": "Invalid value"
}
]
},
"meta": {
"timestamp": "2026-06-28T12:00:00.000Z"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Not found"
},
"meta": {
"timestamp": "2026-06-28T12:00:00.000Z"
}
}{
"error": {
"code": "PROVIDER_UNAVAILABLE",
"message": "Provider unavailable",
"details": "A required enrichment source is unavailable for this operation"
},
"meta": {
"timestamp": "2026-06-28T12:00:00.000Z"
}
}Authorizations
Body
application/json
Was this page helpful?
⌘I
Get Roblox group details and members
curl --request POST \
--url https://api.osint.ly/tools/roblox/group-detail \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"value": "some-player",
"type": "username",
"groupId": "1234567"
}
'import requests
url = "https://api.osint.ly/tools/roblox/group-detail"
payload = {
"value": "some-player",
"type": "username",
"groupId": "1234567"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({value: 'some-player', type: 'username', groupId: '1234567'})
};
fetch('https://api.osint.ly/tools/roblox/group-detail', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.osint.ly/tools/roblox/group-detail",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'value' => 'some-player',
'type' => 'username',
'groupId' => '1234567'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.osint.ly/tools/roblox/group-detail"
payload := strings.NewReader("{\n \"value\": \"some-player\",\n \"type\": \"username\",\n \"groupId\": \"1234567\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.osint.ly/tools/roblox/group-detail")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"value\": \"some-player\",\n \"type\": \"username\",\n \"groupId\": \"1234567\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.osint.ly/tools/roblox/group-detail")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"value\": \"some-player\",\n \"type\": \"username\",\n \"groupId\": \"1234567\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"group": {
"created": "2025-01-01T00:00:00.000Z",
"description": "Example text.",
"hasSocialModules": true,
"hasVerifiedBadge": false,
"id": 497925,
"memberCount": 9532,
"name": "Example Group",
"owner": {
"displayName": "ExamplePlayer",
"hasVerifiedBadge": false,
"userId": 7008014,
"username": "ExamplePlayer"
},
"publicEntryAllowed": true,
"shout": null,
"thumbnail": "https://tr.rbxcdn.com/example"
},
"members": [
{
"displayName": "ExamplePlayer",
"hasVerifiedBadge": false,
"headshot": "https://tr.rbxcdn.com/example",
"role": {
"id": 510810,
"name": "Member",
"rank": 1
},
"userId": 2203522957,
"username": "ExamplePlayer"
}
],
"nextPageCursor": "example-cursor",
"partialErrors": [],
"previousPageCursor": "example-cursor",
"roles": [
{
"id": 64534,
"isBase": false,
"memberCount": 0,
"name": "Member",
"rank": 0
}
]
},
"meta": {
"timestamp": "2026-11-13T10:00:00.000Z"
},
"operation": "group-detail",
"query": {
"groupId": "497925",
"normalizedType": "username",
"type": "username",
"value": "ExamplePlayer"
},
"tool": "roblox"
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request body",
"details": [
{
"path": "value",
"message": "Invalid value"
}
]
},
"meta": {
"timestamp": "2026-06-28T12:00:00.000Z"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Not found"
},
"meta": {
"timestamp": "2026-06-28T12:00:00.000Z"
}
}{
"error": {
"code": "PROVIDER_UNAVAILABLE",
"message": "Provider unavailable",
"details": "A required enrichment source is unavailable for this operation"
},
"meta": {
"timestamp": "2026-06-28T12:00:00.000Z"
}
}